Loading...
Searching...
No Matches
pdftron::Layout::TextStyledElement Class Reference

`#include <ContentTree.h>`

## Public Member Functions
void | SetFontFace (const UString &font_name)
UString | GetFontFace ()
void | SetFontSize (double font_size)
double | GetFontSize ()
void | SetItalic (bool val)
bool | IsItalic ()
void | SetBold (bool val)
bool | IsBold ()
void | SetTextColor (UInt8 red, UInt8 green, UInt8 blue)
void | SetBackgroundColor (UInt8 red, UInt8 green, UInt8 blue)

## Public Attributes
TRN_TextStyledElement | m_impl

## Friends
class | ContentNode
class | TextRun
class | List
class | ContentElement

## Detailed Description

A TextStyledElement provides access to the text style properties of a ContentElement.

Definition at line 100 of file ContentTree.h.

## Member Function Documentation

## ◆ GetFontFace()

UString pdftron::Layout::TextStyledElement::GetFontFace | ( |  | ) |

Get the font face name used for the style

Returns
  the font face name used for the style

## ◆ GetFontSize()

double pdftron::Layout::TextStyledElement::GetFontSize | ( |  | ) |

Get the font size of the style

Returns
  The font size of the style

## ◆ IsBold()

bool pdftron::Layout::TextStyledElement::IsBold | ( |  | ) |

Get the bold setting of the style

Returns
  true if the style is set as 'Bold'

## ◆ IsItalic()

bool pdftron::Layout::TextStyledElement::IsItalic | ( |  | ) |

Get the italic setting of the style

Returns
  true if the style is set as 'Italic'

## ◆ SetBackgroundColor()

void pdftron::Layout::TextStyledElement::SetBackgroundColor | ( | UInt8 | red,
|  | UInt8 | green,
|  | UInt8 | blue )

Set the background color for the style

Parameters

  red | The red component of the text color
  green | The green component of the text color
  blue | The blue component of the text color

## ◆ SetBold()

void pdftron::Layout::TextStyledElement::SetBold | ( | bool | val | ) |

Set or unset the style as 'Bold'

Parameters

  val | use true to set the style as 'Bold'

## ◆ SetFontFace()

void pdftron::Layout::TextStyledElement::SetFontFace | ( | const UString & | font_name | ) |

Set the font face name to be used for the style

Parameters

  font_name | The font face name to use for the style

## ◆ SetFontSize()

void pdftron::Layout::TextStyledElement::SetFontSize | ( | double | font_size | ) |

Set font size of the style

Parameters

  font_size | The font size to use for the style

## ◆ SetItalic()

void pdftron::Layout::TextStyledElement::SetItalic | ( | bool | val | ) |

Set or unset the style as 'italic'

Parameters

  val | use true to set the style as 'Italic'

## ◆ SetTextColor()

void pdftron::Layout::TextStyledElement::SetTextColor | ( | UInt8 | red,
|  | UInt8 | green,
|  | UInt8 | blue )

Set text color for the style

Parameters

  red | The red component of the text color
  green | The green component of the text color
  blue | The blue component of the text color

## Friends And Related Symbol Documentation

## ◆ ContentElement

friend class ContentElement
| friend

Definition at line 105 of file ContentTree.h.

## ◆ ContentNode

friend class ContentNode
| friend

Definition at line 102 of file ContentTree.h.

## ◆ List

friend class List
| friend

Definition at line 104 of file ContentTree.h.

## ◆ TextRun

friend class TextRun
| friend

Definition at line 103 of file ContentTree.h.

## Member Data Documentation

## ◆ m_impl

TRN_TextStyledElement pdftron::Layout::TextStyledElement::m_impl

Definition at line 189 of file ContentTree.h.

The documentation for this class was generated from the following file:

- Layout/ContentTree.h